;***************************************************************************
;
; File Name		:'timer0_t13.asm"
; Title			:Timer0 setup on Attiny13
; Date			:2006.02.11.
; Version		:1.0.0
; Support telephone	:+36-70-333-4034, Old: +36-30-9541-658
; Support fax		:
; Support Email		:info@vfx.hu
; Target MCU		:ATtiny13
;
;***************************************************************************
;	D E S C R I P T I O N
;
;
;***************************************************************************
;	M O D I F I C A T I O N   H I S T O R Y
;
;
;       rev.      date      who  	why
;	----	----------  ---		--------------------------------------------
;	0.01	2005.12.16  VFX		Creation
;	0.02	2006.02.11  VFX		Redesign to T13
;
;
;***************************************************************************
;Hardware


;***************************************************************************
;* Const Def



;**************************************************************************
;* Hardware Def.
;


;***************************************************************************
;**** VARIABLES
.DSEG



;***************************************************************************
.ESEG

;***************************************************************************
;****		I N T E R R U P T S
;****
;***************************************************************************
.CSEG


;************************************************************************
;************************************************************************
;
Timer0_Init:
		ldi	R16,0b00000010
		out	TCCR0A,R16		;COM0A1 COM0A0 COM0B1 COM0B0 - - WGM01 WGM00

		ldi	R16,255			;Clear all pending interrupt on Timer0
		out	TIFR0,R16

		ldi	R16,0b00000010		;- - - - OCIE0B OCIE0A TOIE0 -
		out	TIMSK0,R16

		ldi	R16,10
		out	OCR0A,R16		;1kHz interrupt

		ldi	R16,0b00000101		;FOC0A FOC0B - - WGM02 CS02 CS01 CS00
		out	TCCR0B,R16		;Start PWM

		ret



;******************************************************
; Timer1 CompareB Handler
;
;
;TIM0_COMPB:		RETI


;******************************************************
;  Timer1 CompareA Handler
;
;
;TIM0_COMPA:



TIM0_OVF:

		push	ZL
		push	ZH
		in	ZL,SREG			;preserve main OS status reg.
		push	ZL

Tmr1_Exit:
		pop	ZL
		out	SREG,ZL			; restore previous status reg
		pop	ZH
		pop	ZL
		RETI

